7

[alpine-aports] [PATCH 1/8] community/zstd: upgrade to 1.2.0

Ivan Tham
Details
Message ID
<20170507165915.27204-1-pickfire@riseup.net>
Sender timestamp
1494176348
DKIM signature
missing
Download raw message
Patch: +2 -2
---
 community/zstd/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/community/zstd/APKBUILD b/community/zstd/APKBUILD
index efde85d3e2..f1d68808a7 100644
--- a/community/zstd/APKBUILD
+++ b/community/zstd/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: stef <l0ls0fo2i@ctrlc.hu>
 # Maintainer: André Klitzing <aklitzing@gmail.com>
 pkgname=zstd
-pkgver=1.1.4
+pkgver=1.2.0
 pkgrel=0
 pkgdesc="Zstandard - Fast real-time compression algorithm"
 url="http://www.zstd.net"
@@ -21,4 +21,4 @@ package() {
 	make PREFIX="/usr" DESTDIR="$pkgdir" install
 }
 
-sha512sums="8d18635494a584d13ab29645af5f20b6c1d2fb72895854c381c783b6fda0950575632d04a72e6901ae178535d5f6319ab25fdb097ef8c6db559d60acf558a437  zstd-1.1.4.tar.gz"
+sha512sums="b21910c6bdcfad3199c07b9f70f7c049062ebd1cce9249dd33c36153e29f24dd9e796ddbc2f37846b9f508c14b0d0f67651fd8d2bdce558128f20bdfff50a7df  zstd-1.2.0.tar.gz"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/8] main/py-icu: upgrade to 1.9.7

Ivan Tham
Details
Message ID
<20170507165915.27204-2-pickfire@riseup.net>
In-Reply-To
<20170507165915.27204-1-pickfire@riseup.net> (view parent)
Sender timestamp
1494176349
DKIM signature
missing
Download raw message
Patch: +2 -2
---
 main/py-icu/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/main/py-icu/APKBUILD b/main/py-icu/APKBUILD
index 69487a06a7..067df59dad 100644
--- a/main/py-icu/APKBUILD
+++ b/main/py-icu/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Peter Bui <pnutzh4x0r@gmail.com>
 pkgname=py-icu
 _pkgname=PyICU
-pkgver=1.9.6
+pkgver=1.9.7
 pkgrel=0
 pkgdesc="Python binding for ICU"
 url="http://pyicu.osafoundation.org/"
@@ -27,4 +27,4 @@ package() {
 	python2 setup.py install --prefix=/usr --root="$pkgdir"
 }
 
-sha512sums="51ae0876dbe79c696a7630ec184049df685eebc4660b439b8a3e6e86ef37dfa8cdd0fd6895fc230f954baad30528f4017a7b6a17edc8f7e8b9e4c1bd729d447a  PyICU-1.9.6.tar.gz"
+sha512sums="ac4b9fa6e73eac9e223d4d3758a80611e4e4d78812b88b6ffb20f4b26012dc794cc242a0307cf16597677a552987dbfec3d047cf836f039721bbebab468c76f2  PyICU-1.9.7.tar.gz"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 3/8] testing/py-pgspecial: upgrade to 1.8.0

Ivan Tham
Details
Message ID
<20170507165915.27204-3-pickfire@riseup.net>
In-Reply-To
<20170507165915.27204-1-pickfire@riseup.net> (view parent)
Sender timestamp
1494176350
DKIM signature
missing
Download raw message
Patch: +2 -2
---
 testing/py-pgspecial/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/testing/py-pgspecial/APKBUILD b/testing/py-pgspecial/APKBUILD
index fce1377abd..bb71608228 100644
--- a/testing/py-pgspecial/APKBUILD
+++ b/testing/py-pgspecial/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: Thomas Boerger <thomas@webhippie.de>
 pkgname=py-pgspecial
 _pkgname=pgspecial
-pkgver=1.7.0
+pkgver=1.8.0
 pkgrel=0
 pkgdesc="Meta-commands handler for Postgres Database"
 url="https://pypi.python.org/pypi/pgspecial"
@@ -23,4 +23,4 @@ package() {
 	python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
 }
 
-sha512sums="b1cad72c333e9a1a178636aa70df979b3a6868b839050e783668ad6294cdbdee50ba19bb0bec127ba90cfecfba63c56e3b3a449ef38346a4e5a298189e64413a  py-pgspecial-1.7.0.tar.gz"
+sha512sums="8c407d6984b53092e8d6e8b2e2253bb0d2f789ae0e76925babfff46eb3cf0b069bf10bbd5778b357dff864e2c77e52862238041e87f5e9e4176505b631829d8f  py-pgspecial-1.8.0.tar.gz"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 4/8] main/py-django: upgrade to 1.11.1 and add support for python3

Ivan Tham
Details
Message ID
<20170507165915.27204-4-pickfire@riseup.net>
In-Reply-To
<20170507165915.27204-1-pickfire@riseup.net> (view parent)
Sender timestamp
1494176351
DKIM signature
missing
Download raw message
Patch: +31 -9
---
 main/py-django/APKBUILD | 40 +++++++++++++++++++++++++++++++---------
 1 file changed, 31 insertions(+), 9 deletions(-)

diff --git a/main/py-django/APKBUILD b/main/py-django/APKBUILD
index 91b94eb5c6..8eb8ec66e2 100644
--- a/main/py-django/APKBUILD
+++ b/main/py-django/APKBUILD
@@ -2,19 +2,16 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=py-django
 _pkgname=Django
-pkgver=1.11
+pkgver=1.11.1
 pkgrel=0
 pkgdesc="A high-level Python Web framework"
 url="http://djangoproject.com/"
 arch="noarch"
 license="BSD"
-depends="python2"
-depends_dev=""
-makedepends="python2-dev py-setuptools"
-install=""
-subpackages=""
+depends=""
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="${pkgname/py-/py2-}:_py2 ${pkgname/py-/py3-}:_py3"
 source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
-
 builddir="$srcdir"/$_pkgname-$pkgver
 
 # secfixes:
@@ -28,11 +25,36 @@ builddir="$srcdir"/$_pkgname-$pkgver
 build() {
 	cd "$builddir"
 	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+check() {
+	cd "$builddir"
+	python2 setup.py check || return 1
+	python3 setup.py check || return 1
 }
 
 package() {
+	mkdir -p "$pkgdir"
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="pkgname=$pkgver-r$pkgrel $python"
+
 	cd "$builddir"
-	python2 setup.py install --root "$pkgdir" --skip-build || return 1
+	$python setup.py install --root="$subpkgdir" --skip-build || return 1
+}
+
+_py2() {
+       replaces="$pkgname"
+       _py python2
+}
+
+_py3() {
+       _py python3
 }
 
-sha512sums="31e14ec186d1b0dade0b7c0132c38177c4d5a3f5e8f755b81b556b6884912674bd1a3f8488194f4d7647804426a06663f0a19e2d56502a84c75553a459a64c55  Django-1.11.tar.gz"
+sha512sums="d0e7e272835a453d010fa449d7affdf3b1572ed009871c6cd156e7f093f15737d8c5f8c80ba6e879d467b278b27c095a3d95d8720d64cc1f891629c0254a7291  Django-1.11.1.tar.gz"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 5/8] main/cython: Add support for cython3

Ivan Tham
Details
Message ID
<20170507165915.27204-5-pickfire@riseup.net>
In-Reply-To
<20170507165915.27204-1-pickfire@riseup.net> (view parent)
Sender timestamp
1494176352
DKIM signature
missing
Download raw message
Patch: +33 -6
Note that this breaks compatibility with a few packages that I since
I am not sure how to add the -dev. If that is fixed, remember to add
the -dev to py-pandas. The following packages should be broken:

    community/libplist
    community/py-numpy
    community/py-opengl-accelerate
    community/py-rencode
    community/xpra
    testing/ceph
    testing/py-cassandra-driver

---
 main/cython/APKBUILD | 39 +++++++++++++++++++++++++++++++++------
 1 file changed, 33 insertions(+), 6 deletions(-)

diff --git a/main/cython/APKBUILD b/main/cython/APKBUILD
index 53e7b443d4..fc185c9c9c 100644
--- a/main/cython/APKBUILD
+++ b/main/cython/APKBUILD
@@ -3,26 +3,53 @@
 pkgname=cython
 pkgver=0.25.1
 pkgrel=0
-pkgdesc="Cython is an optimising static compiler for both the Python & the extended Cython programming languages."
+pkgdesc="C-extensions for Python"
 url="http://cython.org"
 arch="all"
 license="ASL-2.0"
 depends=""
-depends_dev="python2-dev py-pgen cython"
-makedepends="$depends_dev"
-subpackages="$pkgname-dev"
+depends_dev="py-pgen cython"
+makedepends="$depends_dev python2-dev py-setuptools python3-dev"
+subpackages="${pkgname}3:_py3 ${pkgname}2:_py2" # Split into -dev
 source="$pkgname-$pkgver.tar.gz::https://github.com/cython/cython/archive/$pkgver.tar.gz"
 builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
 	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+check() {
+	cd "$builddir"
+	python2 setup.py check || return 1
+	python3 setup.py check || return 1
 }
 
 package() {
+	mkdir -p "$pkgdir"
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc ${python:6:1}"
+	depends="$depends $python"
+	install_if="pkgname=$pkgver-r$pkgrel $python"
+
 	cd "$builddir"
-	python2 setup.py install --prefix=/usr \
-		--root="$pkgdir" --optimize=1 || return 1
+	$python setup.py install --prefix=/usr \
+		--root="$subpkgdir" --optimize=1 || return 1
+}
+
+_py2() {
+	replaces="$pkgname"
+	depends="${depends//py-/py2-}"
+	_py python2
+}
+
+_py3() {
+	depends="${depends//py-/py3-}"
+	_py python3
 }
 
 md5sums="775d29a7735798720e26782cac088f1b  cython-0.25.1.tar.gz"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 6/8] main/py-nose: Add support for python3

Ivan Tham
Details
Message ID
<20170507165915.27204-6-pickfire@riseup.net>
In-Reply-To
<20170507165915.27204-1-pickfire@riseup.net> (view parent)
Sender timestamp
1494176353
DKIM signature
missing
Download raw message
Patch: +32 -19
---
 main/py-nose/APKBUILD | 51 ++++++++++++++++++++++++++++++++-------------------
 1 file changed, 32 insertions(+), 19 deletions(-)

diff --git a/main/py-nose/APKBUILD b/main/py-nose/APKBUILD
index 7476876388..29ac3bac63 100644
--- a/main/py-nose/APKBUILD
+++ b/main/py-nose/APKBUILD
@@ -8,32 +8,45 @@ pkgdesc="A Python unittest module"
 url="http://readthedocs.org/docs/nose/"
 arch="noarch"
 license="LGPL2+"
-depends="python2 py-setuptools"
-depends_dev=""
-makedepends="python2-dev"
-install=""
-subpackages=""
+depends=""
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-$_pkgname:_py2 py3-$_pkgname:_py3"
 source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir"/$_pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir"/$_pkgname-$pkgver
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+check() {
+	cd "$builddir"
+	python2 setup.py check || return 1
+	python3 setup.py check || return 1
 }
 
 package() {
-	cd "$_builddir"
-	python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+	mkdir -p "$pkgdir"
+}
+
+_py() {
+        local python="$1"
+        pkgdesc="$pkgdesc (for $python)"
+        depends="$depends $python"
+        install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+        cd "$builddir"
+        $python setup.py install --prefix=/usr --root="$subpkgdir" || return 1
+}
+
+_py2() {
+        replace="$pkgname"
+        _py python2
+}
+
+_py3() {
+        _py python3
 }
 
 md5sums="4d3ad0ff07b61373d2cefc89c5d0b20b  nose-1.3.7.tar.gz"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 7/8] testing/py-matplotlib: Add support for python3

Ivan Tham
Details
Message ID
<20170507165915.27204-7-pickfire@riseup.net>
In-Reply-To
<20170507165915.27204-1-pickfire@riseup.net> (view parent)
Sender timestamp
1494176354
DKIM signature
missing
Download raw message
Patch: +51 -12
---
 testing/py-matplotlib/APKBUILD | 63 ++++++++++++++++++++++++++++++++++--------
 1 file changed, 51 insertions(+), 12 deletions(-)

diff --git a/testing/py-matplotlib/APKBUILD b/testing/py-matplotlib/APKBUILD
index 36cff4233c..8f8ebe469d 100644
--- a/testing/py-matplotlib/APKBUILD
+++ b/testing/py-matplotlib/APKBUILD
@@ -8,34 +8,73 @@ pkgdesc="A Python library for plots"
 url="http://matplotlib.org"
 arch="all"
 license="custom"
-depends="python2 py-numpy python2-tkinter py-dateutil py-parsing py-tz py-cycler"
-makedepends="python2-dev gfortran py-numpy-dev freetype-dev libpng-dev tk-dev
-	py-setuptools"
-subpackages="$pkgname-doc $pkgname-tests"
+depends="py-numpy py-dateutil py-parsing py-tz py-cycler"
+makedepends="gfortran py-numpy-dev freetype-dev libpng-dev tk-dev
+	python2-dev python3-dev py-setuptools"
+subpackages="py2-$_pkgname:_py2 py3-$_pkgname:_py3 $pkgname-doc
+	py2-$_pkgname-tests:_py2t:noarch py3-$_pkgname-tests:_py3t:noarch"
 source="$_pkgname-$pkgver.tar.gz::https://github.com/matplotlib/$_pkgname/archive/v$pkgver.tar.gz"
 builddir="$srcdir/$_pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
 	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+check() {
+	cd "$builddir"
+	python2 setup.py check || return 1
+	python3 setup.py check || return 1
 }
 
 package() {
+	mkdir -p "$pkgdir"
+	install -m755 -d "$pkgdir"-doc/usr/share/licenses/custom/$pkgname
+	install -m644 "$builddir"/LICENSE/* \
+		"$pkgdir"-doc/usr/share/licenses/custom/$pkgname/
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
 	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir" || return 1
+}
 
-	python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
-	install -m755 -d "$pkgdir"/usr/share/licenses/custom/$pkgname
-	install -m644 LICENSE/* "$pkgdir"/usr/share/licenses/custom/$pkgname/
+_py2() {
+	replace="$pkgname"
+	depends="${depends//py-/py2-} python2-tkinter"
+	_py python2
 }
 
-tests() {
-	pkgdesc="$pkgdesc (tests)"
-	arch="noarch"
+_py3() {
+	depends="${depends//py-/py3-} python3-tkinter"
+	_py python3
+}
+
+_tests() {
+	local python="$1"
+	local sitepath="$($python -c 'import site; print(site.getsitepackages()[0])')/$_pkgname"
+
+	pkgdesc="$pkgdesc ($python tests)"
 	depends="$depends py-nose"
-	local sitepath="$(python2 -c 'import site; print(site.getsitepackages()[0])')/$_pkgname"
 
 	mkdir -p "$subpkgdir"$sitepath
-	mv "$pkgdir"$sitepath/tests "$subpkgdir"$sitepath/
+	mv "${subpkgdir%-tests}"$sitepath/tests "$subpkgdir"$sitepath/
+}
+
+_py2t() {
+	depends="${depends//py-/py2-} py2-nose"
+	_tests python2
+}
+
+_py3t() {
+	depends="${depends//py-/py3-} py3-nose"
+	_tests python3
 }
 
 md5sums="b22dc4962f36aab919a7125b3b35953b  matplotlib-1.5.1.tar.gz"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 8/8] testing/py-pandas: new aport

Ivan Tham
Details
Message ID
<20170507165915.27204-8-pickfire@riseup.net>
In-Reply-To
<20170507165915.27204-1-pickfire@riseup.net> (view parent)
Sender timestamp
1494176355
DKIM signature
missing
Download raw message
Patch: +58 -0
http://pandas.pydata.org
Powerful Python data analysis toolkit
---
 testing/py-pandas/APKBUILD | 58 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)
 create mode 100644 testing/py-pandas/APKBUILD

diff --git a/testing/py-pandas/APKBUILD b/testing/py-pandas/APKBUILD
new file mode 100644
index 0000000000..8c74e32f19
--- /dev/null
+++ b/testing/py-pandas/APKBUILD
@@ -0,0 +1,58 @@
+# Contributor: Ivan Tham <pickfire@riseup.net>
+# Maintainer: Ivan Tham <pickfire@riseup.net>
+pkgname=py-pandas
+_pkgname=pandas
+pkgver=0.20.1
+pkgrel=0
+pkgdesc="Powerful Python data analysis toolkit"
+url="http://pandas.pydata.org"
+arch="all"
+license="BSD"
+depends="py-numpy py-dateutil py-tz"
+makedepends="python3-dev python3-dev py-setuptools
+	cython2 cython3 py-numpy-dev"
+subpackages="py2-$_pkgname:_py2 py3-$_pkgname:_py3"
+source="$_pkgname-$pkgver.tar.gz::https://github.com/pandas-dev/pandas/archive/v$pkgver.tar.gz"
+builddir="$srcdir/"$_pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	sudo ln -sf /usr/include/locale.h /usr/include/xlocale.h
+	python2 setup.py build
+	python3 setup.py build
+	sudo rm /usr/include/xlocale.h
+}
+
+check() {
+	cd "$builddir"
+	python2 setup.py check
+	python3 setup.py check
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr \
+		--root="$subpkgdir" --optimize=1
+}
+
+_py2() {
+	replaces="$pkgname"
+	depends="${depends//py-/py2-}"
+	_py python2
+}
+
+_py3() {
+	depends="${depends//py-/py3-}"
+	_py python3
+}
+
+sha512sums="8d72a8e0e61f9d836e5f625be4c90b8deea6b526773c668b56b2a6c25cd2ef380bab61c5848fed3ee34c27b1d872246b135948b5a48076efbdb242dee103dc0a  pandas-0.20.1.tar.gz"
-- 
2.12.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---